/*************************************************
 *  L[f[^iI2Cj擾vO
 * @@LCD(ACM1602){I2C Slave key
 ************************************************/
#include "mcc_generated_files/mcc.h"
#include "i2cLCD_ST7032i.h"
#include "stdlib.h"

//#define 	BFSIZE  20            //EUSART.HŐ錾
#define 	SLVADR  0x40

uint8_t 	iBuf[8];
uint8_t		rBuf[BFSIZE];
uint8_t		sBuf[BFSIZE];
uint8_t 	sFlg;

/*------    C֐  -----*/
void main(void)
{
    uint16_t key = 0;
    uint16_t keyLate = 0;
    uint16_t rDt;

    SYSTEM_Initialize();
    LCD_init();                 // LCD
    INTERRUPT_GlobalInterruptEnable();
    INTERRUPT_PeripheralInterruptEnable();

    puts("***ready\r");
    LCD_str(">- ready");
    IO_RA4_SetHigh();
    
    while (1) {
        if(sFlg){
            LCD_clr();
            LCD_str(rBuf);
            rDt = atoi(rBuf);
            //--- X[u֑M
            if(rDt % 2){
              I2C1_Write1ByteRegister(SLVADR,0,'H');
              puts("> H\r" );
            }else{
              I2C1_Write1ByteRegister(SLVADR,0,'L');
              puts("> L\r");
            }
            sFlg = 0;
        }         
            //---   X[uM
        I2C1_ReadNBytes(SLVADR, &key, 2);
        if(key){
            if(key != keyLate){
                sprintf(sBuf, "%04X\n\r", key);
                LCD_cursor(0,1);
                LCD_str(sBuf);
                puts(sBuf);
                keyLate = key;
            }
        }else{
            keyLate = key;
        }
    }
} 
